/*
 * icetft plugin for VDR
 *
 * IcetftStatusMonitor.c - class for detecting osd activity
 *
 *
 * This code is distributed under the terms and conditions of the
 * GNU GENERAL PUBLIC LICENSE. See the file COPYING for details.
 */

#include "IcetftStatusMonitor.h"

cIcetftStatusMonitor::cIcetftStatusMonitor()
{
    changed=TimeMs();
}


uint64_t cIcetftStatusMonitor::Changed()
{
    return changed;
}


void cIcetftStatusMonitor::ChannelSwitch(const cDevice *Device, int ChannelNumber)
{
    changed=TimeMs();
}


void cIcetftStatusMonitor::Recording(const cDevice *Device, const char *Name, const char *FileName, bool On)
{
    changed=TimeMs();
}


void cIcetftStatusMonitor::Replaying(const cControl *Control, const char *Name, const char *FileName, bool On)
{
    changed=TimeMs();
}


void cIcetftStatusMonitor::SetVolume(int Volume, bool Absolute)
{
    changed=TimeMs();
}



void cIcetftStatusMonitor::OsdTitle(const char *Title)
{
    changed=TimeMs();
}


void cIcetftStatusMonitor::OsdStatusMessage(const char *Message)
{
    changed=TimeMs();
}

void cIcetftStatusMonitor::OsdCurrentItem(const char *Text)
{
    changed=TimeMs();
}


void cIcetftStatusMonitor::OsdTextItem(const char *Text, bool Scroll)
{
    changed=TimeMs();
}


void cIcetftStatusMonitor::OsdChannel(const char *Text)
{
    changed=TimeMs();
}


void cIcetftStatusMonitor::OsdProgramme(time_t PresentTime, const char *PresentTitle, const char *PresentSubtitle, time_t FollowingTime, const char *FollowingTitle, const char *FollowingSubtitle)
{
    changed=TimeMs();
}
